Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.version19

# Class V19Statement

java.lang.Object
org.firebirdsql.gds.ng.AbstractFbStatement
org.firebirdsql.gds.ng.wire.AbstractFbWireStatement
org.firebirdsql.gds.ng.wire.version10.V10Statement
org.firebirdsql.gds.ng.wire.version11.V11Statement
org.firebirdsql.gds.ng.wire.version12.V12Statement
org.firebirdsql.gds.ng.wire.version13.V13Statement
org.firebirdsql.gds.ng.wire.version16.V16Statement
org.firebirdsql.gds.ng.wire.version18.V18Statement
org.firebirdsql.gds.ng.wire.version19.V19Statement

All Implemented Interfaces:
  `AutoCloseable`, `FbStatement`, `ExceptionListenable`, `FbWireStatement`

public class V19Statement extends V18Statement

Author:
  Mark Rotteveel

- ## Field Summary

  ### Fields inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

  `asyncFetchStatus`

  ### Fields inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

  `exceptionListenerDispatcher, statementListenerDispatcher`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `V19Statement(FbWireDatabase database)`
  Creates a new instance of V19Statement for the specified database.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected int`
  `getMaxInlineBlobSize()`
  `protected void`
  `handleInlineBlobResponse(InlineBlobResponse inlineBlobResponse)`
  Handle the inline blob response from an `op_execute2` or `op_fetch_response`.
  `protected void`
  `sendExecute(int operation, RowValue parameters)`
  Sends the execute (for `op_execute` or `op_execute2`) to the database.

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version18.V18Statement

  `clearCursorFlag, fetchScrollImpl, getCursorFlagsAsInt, getCursorInfoImpl, isCursorFlagSet, sendFetchScroll, setCursorFlag, supportsCursorInfo, supportsFetchScroll`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version16.V16Statement

  `batchCancel, batchExecute, createBatchParameterBuffer, deferredBatchCreate, deferredBatchRelease, deferredBatchSend, sendBatchCreate, sendBatchMsg, supportBatchUpdates`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version13.V13Statement

  `getDefaultSqlInfoSize, getMaxSqlInfoSize, readSqlData, writeSqlData, writeSqlData`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version11.V11Statement

  `asyncFetchRows, completeAsyncFetch, fetchRows, free, prepare, reset`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.version10.V10Statement

  `doFreePacket, execute, processAllocateResponse, processExecuteResponse, processExecuteSingletonResponse, processFetchResponse, processFetchResponse, processFreeResponse, processPrepareResponse, readColumnData, sendAllocate, sendFetch, sendFree, sendPrepare, setCursorNameImpl, writeColumnData`

  ### Methods inherited from class org.firebirdsql.gds.ng.wire.AbstractFbWireStatement

  `calculateBlr, calculateBlr, close, emptyRowDescriptor, getBlrCalculator, getDatabase, getHandle, getInfo, getSqlInfo, getTransaction, getXdrIn, getXdrOut, isValidTransactionClass, setHandle, withLock, wrapDeferredResponse`

  ### Methods inherited from class org.firebirdsql.gds.ng.AbstractFbStatement

  `addExceptionListener, addStatementListener, addWeakStatementListener, checkFetchSize, checkPrepareAllowed, checkStatementHasOpenCursor, checkStatementValid, checkStatementValid, closeCursor, closeCursor, createExecutionPlanProcessor, createSqlCountProcessor, ensureClosedCursor, fetchScroll, forceState, getAllowedTimeout, getCursorInfo, getCursorInfo, getCursorName, getExecutionPlan, getExplainedExecutionPlan, getParameterDescriptionInfoRequestItems, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getState, getStatementInfoRequestItems, getStatementWarningCallback, getTimeout, getTransactionListener, getType, hasFetched, hasFields, hasSingletonResult, isAfterLast, isBeforeFirst, isPrepareAllowed, parseStatementInfo, queueRowData, removeExceptionListener, removeStatementListener, reset, resetAll, setAfterLast, setBeforeFirst, setCursorName, setParameterDescriptor, setRowDescriptor, setTimeout, setTransaction, setType, signalAsyncFetchComplete, signalAsyncFetchStart, signalExecute, signalFetch, switchState, unprepare, validateParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.firebirdsql.gds.ng.listeners.ExceptionListenable

  `addExceptionListener, removeExceptionListener`

  ### Methods inherited from interface org.firebirdsql.gds.ng.FbStatement

  `addStatementListener, addWeakStatementListener, close, closeCursor, closeCursor, emptyRowDescriptor, ensureClosedCursor, fetchScroll, getCursorInfo, getCursorInfo, getDatabase, getExecutionPlan, getExplainedExecutionPlan, getHandle, getParameterDescriptor, getRowDescriptor, getSqlCounts, getSqlInfo, getSqlInfo, getState, getTimeout, getTransaction, getType, hasFetched, removeStatementListener, setCursorName, setTimeout, setTransaction, unprepare, validateParameters, withLock`

- ## Constructor Details

  - ### V19Statement

    public V19Statement(FbWireDatabase database)
    Creates a new instance of V19Statement for the specified database.
    Parameters:
      `database` - FbWireDatabase implementation

- ## Method Details

  - ### sendExecute

    protected void sendExecute(int operation, RowValue parameters) throws IOException, SQLException
    Description copied from class: `V10Statement`
    Sends the execute (for `op_execute` or `op_execute2`) to the database.
    Overrides:
      `sendExecute` in class `V18Statement`
    Parameters:
      `operation` - Operation (`op_execute` or `op_execute2`)
      `parameters` - Parameters
    Throws:
      `IOException`
      `SQLException`

  - ### getMaxInlineBlobSize

    protected int getMaxInlineBlobSize()

  - ### handleInlineBlobResponse

    protected void handleInlineBlobResponse(InlineBlobResponse inlineBlobResponse)
    Description copied from class: `AbstractFbWireStatement`
    Handle the inline blob response from an `op_execute2` or `op_fetch_response`.
    Overrides:
      `handleInlineBlobResponse` in class `AbstractFbWireStatement`
    Parameters:
      `inlineBlobResponse` - inline blob response